CMAP_ITER_FINALIZE(3)

NAME

cmap_iter_finalize - Finalize iterator for keys stored in CMAP

SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_iter_finalize (cmap_handle_t handle, cmap_iter_handle_t iter_handle);

DESCRIPTION

The cmap_iter_finalize function is used to free up memory associated with iteration obtained by calling of cmap_iter_init(3) function. The handle argument is connection to CMAP database obtained by calling cmap_initialize(3) function. iter_handle argument is iterator handle obtained by cmap_iter_init(3) function.

RETURN VALUE
This call returns the CS_OK value if successful. CS_ERR_BAD_HANDLE error is returned when iter_handle is invalid.

SEE ALSO
cmap_iter_init(3), cmap_initialize(3), cmap_overview(8)